OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations | Variables
console_type.h File Reference

Globally used console related types. More...

`#include "gfx_type.h"`

Go to the source code of this file.

## Enumerations
enum | IConsoleModes { ICONSOLE_FULL, ICONSOLE_OPENED, ICONSOLE_CLOSED }
| Modes of the in-game console. More...

## Variables
static const TextColour | CC_DEFAULT = TC_SILVER
| Default colour of the console.
static const TextColour | CC_ERROR = TC_RED
| Colour for error lines.
static const TextColour | CC_WARNING = TC_LIGHT_BLUE
| Colour for warning lines.
static const TextColour | CC_INFO = TC_YELLOW
| Colour for information lines.
static const TextColour | CC_DEBUG = TC_LIGHT_BROWN
| Colour for debug output.
static const TextColour | CC_COMMAND = TC_GOLD
| Colour for the console's commands.
static const TextColour | CC_WHITE = TC_WHITE
| White console lines for various things such as the welcome.

## Detailed Description

Globally used console related types.

Definition in file console_type.h.

## Enumeration Type Documentation

enum IConsoleModes

Modes of the in-game console.

Enumerator:

  ICONSOLE_FULL | In-game console is closed.
  ICONSOLE_OPENED | In-game console is opened, upper 1/3 of the screen.
  ICONSOLE_CLOSED | In-game console is opened, whole screen.

Definition at line 18 of file console_type.h.